---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:     '&IDC_AssignRelationshipMethod;'
    inherits:  '&IDC_Method;'
    name:      AR - Assign Relationship Method
    index:     23
    customTagName: assignRelationshipMethod
    superclasses:
    - instance: '&IDC_Method;'
    # - instance: '&IDC_ExecutableProcessingUpdate;'
    relationships:
    - instance: '&IDR_Assign_Relationship_Method__assigns__Relationship;'
      customTagName: 'assignsRelationshipId'
    - instance: '&IDR_Assign_Relationship_Method__uses__Executable_returning_Instance_Set;'
      customTagName: 'instanceId'

  - relationship: '&IDR_Evaluate_Boolean_Expression_Method__returns__Boolean_Attribute;'
    index: 24
    sourceClassId: '&IDC_GetAttributeMethod;'
    type: 'returns'
    destinationClassId: '&IDC_BooleanAttribute;'
    siblingRelationshipId: '&IDR_Boolean_Attribute__returned_by__Evaluate_Boolean_Expression_Method;'
    singular: no

  - relationship: '&IDR_Boolean_Attribute__returned_by__Evaluate_Boolean_Expression_Method;'
    index: 25
    sourceClassId: '&IDC_BooleanAttribute;'
    type: 'returned by'
    destinationClassId: '&IDC_GetAttributeMethod;'
    siblingRelationshipId: '&IDR_Evaluate_Boolean_Expression_Method__returns__Boolean_Attribute;'
    singular: no
